package amq.test;

import java.util.Arrays;

public class SubscribeTraffic {

    public static void main(String[] p_args) {
        System.out.println("Args: ="+Arrays.toString(p_args));
        if(p_args.length > 4 || p_args.length < 1) {
            System.out.print("Allowed params:\n"+
                    "-{0} no of producers\n" +
                    "-{1} pooled CF true/false\n"+
                    "-{2} throw exceptions true/false\n"+
                    "-{3} sleep ms.");
                    System.exit(1);
        }
        try {
            int producers = 0;
            Boolean throwExceptions = false;
            Boolean pooled = true;
            int sleep = 300;
            if (p_args.length >= 1) {
                producers = Integer.parseInt(p_args[0]);
            }
            if (p_args.length >= 2) {
                pooled = Boolean.valueOf(p_args[1]);
            }
            if(p_args.length >= 3) {
                throwExceptions = Boolean.valueOf(p_args[2]);
            }
            if(p_args.length >= 4) {
                sleep = Integer.parseInt(p_args[3]);
            }

            for (int i = 0; i < producers; i++) {
                // new Thread(new Producer("Destin_"+i, events, delay),
                // "Producer-").start();
                Subscriber subs = new Subscriber("Destin_" + i);
                subs.setPooled(pooled);
                subs.setThrowExceptions(throwExceptions);
                subs.run();
            }
            System.out.println("--------------------- Subscribers started ------------------------------");
        } catch (Throwable e) {
            e.printStackTrace();
        }
    }

}
